Issue 122246 - breaking produces gray lines (Svg, Metafiles)
breaking produces gray lines (Svg, Metafiles)
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: editing
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 01:27 UTC by Ariel Constenla-Haile
Modified: 2013-07-12 16:39 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Draw document with SVG graphics from the Diagrams gallery theme (169.80 KB, application/vnd.oasis.opendocument.graphics)
2013-05-07 01:27 UTC, Ariel Constenla-Haile
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-05-07 01:27:30 UTC
Created attachment 80647 [details]
Draw document with SVG graphics from the Diagrams gallery theme

New Draw document
Tools - Gallery
Select theme "Diagrams", insert a copy of diagram "Section-Hexagons01"
Break the graphics

The operation produces three rectangles with gray lines.
Comment 1 Armin Le Grand 2013-05-07 15:01:59 UTC
Comment on attachment 80647 [details]
Draw document with SVG graphics from the Diagrams gallery theme

ALG: Breaking SVGs currently uses the path over metafile since a direct SdrObject-creator based on primitives is not available (I would love to do this, but it would be pretty time-consuming, but is planned). Thus, converting to metafile first and then breaking leads to the same result, but allows checking where the gray frames come from.
Comment 2 Armin Le Grand 2013-05-07 15:02:15 UTC
ALG: Grapping, taking a look...
Comment 3 Armin Le Grand 2013-05-08 09:44:18 UTC
ALG: Adapted title. Chenged three basic problems in the metafile breaker, comitting. Examples look good now.
Comment 4 SVN Robot 2013-07-11 15:15:38 UTC
"alg" committed SVN revision 1480203 into trunk:
i122246 Corrected three basic problems in the metafile breaker